Bug 129382 - Multi-line prompt clutters console.
Summary: Multi-line prompt clutters console.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bash   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-07 11:58 UTC by Santtu Lakkala
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 3.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-09 10:47:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Santtu Lakkala 2004-08-07 11:58:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; HornyPorny 1.0)

Description of problem:
The bundled readline handles multiline prompts in a non-working way.
When typing in command, it wraps the line at the wrong position, it
seem to calculate wrong value for the length of the last line of the
prompt, and the result it gets depends on all the other rows of the
prompt. Combined with colours, and their control codes, the output
gets totally clobbered.

Version-Release number of selected component (if applicable):
bash-3.0-2

How reproducible:
Always

Steps to Reproduce:
1. PS1="foo\nbar"
2. insert enough text to fill the line
    

Actual Results:  The line wraps 2 characters before the end of the line.

Expected Results:  The line should've wrapped exactly at the end.

Additional info:

If use ^V^J instead of \n, the line wraps 1 character before the end.

Comment 1 Tim Waugh 2004-08-09 10:47:53 UTC
Fixed in bash-3.0-3.


Note You need to log in before you can comment on or make changes to this bug.